name = "Oleg"

#К строковым переменным применимы действия, подразумевающие порядок расположения
print(f'длина {len(name)}')
print(f'Буква {name[0]}')

#Методы, уникальные для строк:
print(name.find('le')) #Поиск позиции
Fname = name.replace('eg', 'ga') #Замена позиции
print(Fname)
print(name.upper()) #Преобразование регистра
print(name.isalpha()) #Проверяет, все ли символы - буквы
print('214'.isdigit()) #Проверяет, все ли символы - цифры

#f нужна, чтобы выводить переменные
print(f'My name is {name}')

#Но можно обойтись и без неё
print("My name is", name)

#input значит, что переменной присвоятся введенные с клавиатуры данные
#("") после input выводит надпись, прямо после которой будет осуществляться ввод (Enter: 4)
#Чтобы надпись не выводилась, скобки нужно оставить пустыми. Но сами скобки обязательны
num = input("Enter1: ")
num2 = input("Enter2: ")
#здесь вводятся данные типа string, поэтому при использовании + они присоединяются
res = num + num2
print(res)


#для использования integer нужно использовать int()
num = int(input("Enter1: "))
num2 = int( input("Enter2: "))
res = num + num2
print(res)


#float() позволяет вводить десятичные числа
num = float(input("Enter1: "))
num2 = float( input("Enter2: "))
res = num + num2
print(res)


# += 20 - прибавить 20 к переменной, так же и с остальными действиями
res += 20
print(f'E1+E2+20={res}')
res = num + num2
res -= 20
print(f'E1+E2-20={res}')

print(res)
res -= 1
print(res)
input()